com.rscja.team.qcom.deviceapi

## Class UHFProtocolParseBLE

- java.lang.Object
- - com.rscja.team.qcom.deviceapi.UHFProtocolParseBLE

- All Implemented Interfaces:
    IUHFProtocolParseBLE

      public class UHFProtocolParseBLE
      extends java.lang.Object
      implements IUHFProtocolParseBLE

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UHFProtocolParseBLE()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `checkTagStateRequest(int filterBank, int filterPtr, int filterCnt, byte[] filterData)`
    `int` | `checkTagStateResponse(byte[] receiveData)`
    `static UHFProtocolParseBLE` | `getInstance()`
    `byte[]` | `initRegFileRequest(char filter_bank, int filter_ptr, int filter_cnt, byte[] filter_data)`
    `boolean` | `initRegFileResponse(byte[] receiveData)`
    `byte[]` | `readMultipleTemperatureRequest(int filterBank, int filterPtr, int filterCnt, byte[] filterData, int jstart, int jnum)`
    `int` | `readMultipleTemperatureResponse(byte[] receiveData, int[] jtotalnum, int[] jreturned, float[] jtemp)`
    `byte[]` | `readTagTempRequest(char filter_bank, int filter_ptr, int filter_cnt, byte[] filter_data)`
    `boolean` | `readTagTempResponse(byte[] receiveData, float[] readTemp)`
    `byte[]` | `readTagVoltageRequest(int filterBank, int filterPtr, int filterCnt, byte[] filterData)`
    `boolean` | `readTagVoltageResponse(byte[] receiveData, float[] voltage)`
    `byte[]` | `setEPCAndTemperatureModeRequest(char memory, int address, int length, int dbyte0)`
    `boolean` | `setEPCAndTemperatureModeResponse(byte[] receiveData)`
    `byte[]` | `startLoggingRequest(int filterBank, int filterPtr, int filterCnt, byte[] filterData, float min_temp, float max_temp, int work_delay, int work_interval)`
    `boolean` | `startLoggingResponse(byte[] receiveData)`
    `byte[]` | `stopLoggingRequest(int filterBank, int filterPtr, int filterCnt, byte[] filterData, byte[] pwd)`
    `boolean` | `stopLoggingResponse(byte[] receiveData)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UHFProtocolParseBLE

          public UHFProtocolParseBLE()

  - ### Method Detail

    - #### getInstance

          public static UHFProtocolParseBLE getInstance()

    - #### initRegFileRequest

          public byte[] initRegFileRequest(char filter_bank,
                                           int filter_ptr,
                                           int filter_cnt,
                                           byte[] filter_data)

      Specified by:
        `initRegFileRequest` in interface `IUHFProtocolParseBLE`

    - #### initRegFileResponse

          public boolean initRegFileResponse(byte[] receiveData)

      Specified by:
        `initRegFileResponse` in interface `IUHFProtocolParseBLE`

    - #### readTagTempRequest

          public byte[] readTagTempRequest(char filter_bank,
                                           int filter_ptr,
                                           int filter_cnt,
                                           byte[] filter_data)

      Specified by:
        `readTagTempRequest` in interface `IUHFProtocolParseBLE`

    - #### readTagTempResponse

          public boolean readTagTempResponse(byte[] receiveData,
                                             float[] readTemp)

      Specified by:
        `readTagTempResponse` in interface `IUHFProtocolParseBLE`

    - #### startLoggingRequest

          public byte[] startLoggingRequest(int filterBank,
                                            int filterPtr,
                                            int filterCnt,
                                            byte[] filterData,
                                            float min_temp,
                                            float max_temp,
                                            int work_delay,
                                            int work_interval)

      Specified by:
        `startLoggingRequest` in interface `IUHFProtocolParseBLE`

    - #### startLoggingResponse

          public boolean startLoggingResponse(byte[] receiveData)

      Specified by:
        `startLoggingResponse` in interface `IUHFProtocolParseBLE`

    - #### stopLoggingRequest

          public byte[] stopLoggingRequest(int filterBank,
                                           int filterPtr,
                                           int filterCnt,
                                           byte[] filterData,
                                           byte[] pwd)

      Specified by:
        `stopLoggingRequest` in interface `IUHFProtocolParseBLE`

    - #### stopLoggingResponse

          public boolean stopLoggingResponse(byte[] receiveData)

      Specified by:
        `stopLoggingResponse` in interface `IUHFProtocolParseBLE`

    - #### checkTagStateRequest

          public byte[] checkTagStateRequest(int filterBank,
                                             int filterPtr,
                                             int filterCnt,
                                             byte[] filterData)

      Specified by:
        `checkTagStateRequest` in interface `IUHFProtocolParseBLE`

    - #### checkTagStateResponse

          public int checkTagStateResponse(byte[] receiveData)

      Specified by:
        `checkTagStateResponse` in interface `IUHFProtocolParseBLE`

    - #### readMultipleTemperatureRequest

          public byte[] readMultipleTemperatureRequest(int filterBank,
                                                       int filterPtr,
                                                       int filterCnt,
                                                       byte[] filterData,
                                                       int jstart,
                                                       int jnum)

      Specified by:
        `readMultipleTemperatureRequest` in interface `IUHFProtocolParseBLE`

    - #### readMultipleTemperatureResponse

          public int readMultipleTemperatureResponse(byte[] receiveData,
                                                     int[] jtotalnum,
                                                     int[] jreturned,
                                                     float[] jtemp)

      Specified by:
        `readMultipleTemperatureResponse` in interface `IUHFProtocolParseBLE`

    - #### readTagVoltageRequest

          public byte[] readTagVoltageRequest(int filterBank,
                                              int filterPtr,
                                              int filterCnt,
                                              byte[] filterData)

      Specified by:
        `readTagVoltageRequest` in interface `IUHFProtocolParseBLE`

    - #### readTagVoltageResponse

          public boolean readTagVoltageResponse(byte[] receiveData,
                                                float[] voltage)

      Specified by:
        `readTagVoltageResponse` in interface `IUHFProtocolParseBLE`

    - #### setEPCAndTemperatureModeRequest

          public byte[] setEPCAndTemperatureModeRequest(char memory,
                                                        int address,
                                                        int length,
                                                        int dbyte0)

      Specified by:
        `setEPCAndTemperatureModeRequest` in interface `IUHFProtocolParseBLE`

    - #### setEPCAndTemperatureModeResponse

          public boolean setEPCAndTemperatureModeResponse(byte[] receiveData)

      Specified by:
        `setEPCAndTemperatureModeResponse` in interface `IUHFProtocolParseBLE`